Upstream information

CVE-2014-9273 at MITRE

Description

lib/handle.c in Hivex before 1.3.11 allows local users to execute arbitrary code and gain privileges via a small hive files, which triggers an out-of-bounds read or write.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 908614 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 12
  • hivex >= 1.3.10-4.1
  • libhivex0 >= 1.3.10-4.1
  • perl-Win-Hivex >= 1.3.10-4.1
Patchnames:
SUSE-SLE-SERVER-12-2015-83
SUSE Linux Enterprise Server 12 SP1
  • libhivex0 >= 1.3.10-4.1
  • perl-Win-Hivex >= 1.3.10-4.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libhivex0
SUSE Linux Enterprise Server 12 SP2
  • libhivex0 >= 1.3.10-4.1
  • perl-Win-Hivex >= 1.3.10-4.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libhivex0
SUSE Linux Enterprise Server 12 SP3
  • libhivex0 >= 1.3.10-4.1
  • perl-Win-Hivex >= 1.3.10-4.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libhivex0
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libhivex0 >= 1.3.10-4.1
  • perl-Win-Hivex >= 1.3.10-4.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libhivex0
SUSE Linux Enterprise Server for SAP Applications 12
  • hivex >= 1.3.10-4.1
  • libhivex0 >= 1.3.10-4.1
  • perl-Win-Hivex >= 1.3.10-4.1
Patchnames:
SUSE-SLE-SERVER-12-2015-83
SUSE Linux Enterprise Software Development Kit 12
  • hivex >= 1.3.10-4.1
  • hivex-devel >= 1.3.10-4.1
Patchnames:
SUSE-SLE-SDK-12-2015-83
SUSE Linux Enterprise Software Development Kit 12 SP1
  • hivex-devel >= 1.3.10-4.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA hivex-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • hivex-devel >= 1.3.10-4.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA hivex-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • hivex-devel >= 1.3.10-4.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA hivex-devel
openSUSE 13.1
  • hivex >= 1.3.8-2.4.1
  • hivex-debuginfo >= 1.3.8-2.4.1
  • hivex-debugsource >= 1.3.8-2.4.1
  • hivex-devel >= 1.3.8-2.4.1
  • libhivex0 >= 1.3.8-2.4.1
  • libhivex0-debuginfo >= 1.3.8-2.4.1
  • perl-Win-Hivex >= 1.3.8-2.4.1
  • perl-Win-Hivex-debuginfo >= 1.3.8-2.4.1
  • python-hivex >= 1.3.8-2.4.1
  • python-hivex-debuginfo >= 1.3.8-2.4.1
Patchnames:
openSUSE-2015-89


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 12 GA hivex Released
SUSE Linux Enterprise Server 12 GA hivex Released